'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'entryNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.intake.default.entryNumber',
        'defaultMessage': 'Entry number'
      }
    }),
    sortBy: 'intakes_common:entryNumber',
    width: 200
  }, {
    name: 'currentOwner',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.intake.default.currentOwner',
        'defaultMessage': 'Current owner'
      }
    }),
    formatValue: _formatHelpers.formatRefName,
    sortBy: 'intakes_common:currentOwner',
    width: 450
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.intake.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};