'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'termDisplayName',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.place.default.termDisplayName',
        'defaultMessage': 'Display name'
      }
    }),
    sortBy: 'places_common:placeTermGroupList/0/termDisplayName',
    width: 250
  }, {
    name: 'termStatus',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.place.default.termStatus',
        'defaultMessage': 'Term status'
      }
    }),
    sortBy: 'places_common:placeTermGroupList/0/termStatus',
    width: 250
  }, {
    name: 'vocabulary',
    dataKey: 'refName',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.place.default.vocabulary',
        'defaultMessage': 'Vocabulary'
      }
    }),
    formatValue: function formatValue(value, formatterContext) {
      return (0, _formatHelpers.formatRefNameAsVocabularyName)(value, formatterContext);
    },
    width: 150
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.place.search.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};