'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _advancedSearch = require('./advancedSearch');

var _advancedSearch2 = _interopRequireDefault(_advancedSearch);

var _columns = require('./columns');

var _columns2 = _interopRequireDefault(_columns);

var _fields = require('./fields');

var _fields2 = _interopRequireDefault(_fields);

var _forms = require('./forms');

var _forms2 = _interopRequireDefault(_forms);

var _messages = require('./messages');

var _messages2 = _interopRequireDefault(_messages);

var _optionLists = require('./optionLists');

var _optionLists2 = _interopRequireDefault(_optionLists);

var _serviceConfig = require('./serviceConfig');

var _serviceConfig2 = _interopRequireDefault(_serviceConfig);

var _title = require('./title');

var _title2 = _interopRequireDefault(_title);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function (pluginContext) {
    return {
      optionLists: _optionLists2.default,
      recordTypes: {
        work: {
          advancedSearch: _advancedSearch2.default,
          columns: _columns2.default,
          messages: _messages2.default,
          serviceConfig: _serviceConfig2.default,
          fields: (0, _fields2.default)(pluginContext),
          forms: (0, _forms2.default)(pluginContext),
          title: (0, _title2.default)(pluginContext),
          vocabularies: {
            all: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'vocab.work.all.name',
                  'defaultMessage': 'All'
                },
                collectionName: {
                  'id': 'vocab.work.all.collectionName',
                  'defaultMessage': 'All Works'
                }
              }),
              serviceConfig: {
                servicePath: '_ALL_'
              },
              type: 'all'
            },
            local: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'vocab.work.local.name',
                  'defaultMessage': 'Local'
                },
                collectionName: {
                  'id': 'vocab.work.local.collectionName',
                  'defaultMessage': 'Local Works'
                }
              }),
              serviceConfig: {
                servicePath: 'urn:cspace:name(work)'
              },
              sortOrder: 0
            },
            cona: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'vocab.work.cona.name',
                  'defaultMessage': 'CONA'
                },
                collectionName: {
                  'id': 'vocab.work.cona.collectionName',
                  'defaultMessage': 'CONA Works'
                }
              }),
              serviceConfig: {
                servicePath: 'urn:cspace:name(cona_work)'
              },
              sortOrder: 1
            }
          }
        }
      }
    };
  };
};