'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pluginContext) {
  return function (cspaceDocument) {
    var _pluginContext$record = pluginContext.recordDataHelpers,
        deepGet = _pluginContext$record.deepGet,
        getPart = _pluginContext$record.getPart;


    if (!cspaceDocument) {
      return '';
    }

    var common = getPart(cspaceDocument, 'works_common');

    if (!common) {
      return '';
    }

    var displayName = deepGet(common, ['workTermGroupList', 'workTermGroup', 0, 'termDisplayName']);
    var termStatus = deepGet(common, ['workTermGroupList', 'workTermGroup', 0, 'termStatus']);

    return [displayName, termStatus].filter(function (part) {
      return !!part;
    }).join(' – ');
  };
};